#########################################################################
#        Michelson Science Center (MSC) -- http://msc.caltech.edu       #
#	Copyright (c) 2003-2004 California Institute of Technology      #
#                     U.S. Government Sponsorship                       #
# Under contract with the National Aeronautics and Space Administration #
#########################################################################

# assignments for plotAll option  
$OtherTime = 1;
$OtherLeak = 2;
$OtherNormFlux = 5;
$OtherOkay = 6;
$OtherUT = '($1 / 3600)';


# list for plotOne option 
%keyList = (
	    "DATE"   => $SumDateStr,
	    "TIME"   => $SumUT,
	    "FLUX"   => $SumFlux,
	    "LEAKAGE" => $SumLeakage,
	   );


%labelList = (
	      "DATE"   => "Date",
	      "TIME"   => "UT Time (hours)",
	      "FLUX"   => "Flux (DN)",
	      "LEAKAGE" => "Leakage",
	     );


