#########################################################################
#        Michelson Science Center (MSC) -- http://msc.caltech.edu       #
#	Copyright (c) 2003-2004 California Institute of Technology      #
#                     U.S. Government Sponsorship                       #
# Under contract with the National Aeronautics and Space Administration #
#########################################################################

# assignments for plotAll option  
$SpecDateStr = 2;
$SpecUT = 3;
$SpecSource = 4;
$SpecFDLOPath = 5;
$SpecLDLOPath = 6;
$SpecNumCycles = 7;
$SpecGatedCycles = 8;
$SpecDuration = 9;
$SpecMode = 10;
$SpecPort = 11;
$SpecProducer = 12;
$SpecCalFlag = 13;
$SpecBaseline = 14;
$SpecNumChannels = 15;
$SpecNumFields = 8;
$SpecWavelength = 16;
$SpecFlux = 17;
$SpecLeakage = 18;
$SpecLeakErr = 19;
$SpecRNN = 20;
$SpecJNN = 21;
$SpecRPP = 22;
$SpecJPP = 23;


# list for plotOne option 
%keyList = (
	    "DATE"   => $SpecDateStr,
	    "TIME"   => $SpecUT,
	    "FLUX"   => $SpecFlux,
	    "LEAKAGE" => $SpecLeakage,
	   );


%labelList = (
	      "DATE"   => "Date",
	      "TIME"   => "UT Time (hours)",
	      "FLUX"   => "Flux (DN)",
	      "LEAKAGE" => "Leakage",
	     );


