#########################################################################
#        Michelson Science Center (MSC) -- http://msc.caltech.edu       #
#	Copyright (c) 2003-2004 California Institute of Technology      #
#                     U.S. Government Sponsorship                       #
# Under contract with the National Aeronautics and Space Administration #
#########################################################################

# assignments for plotAll option  
$SumDateStr = 2;
$SumUT = 3;
$SumSource = 4;
$SumFlux = 7;
$SumLeakage = 8;
$SumLeakageError = 9;
$SumSNR2XC = 10;
$SumSNR2Primary = 11;
$SumSNR2Secondary = 12;
$SumSNR2PSAvg = '(($11 + $12) / 2)';
$SumRNN = 13;
$SumJNN = 14;
$SumGatedCycles = 17;
$SumDuration = 18;
$SumMode = 19;
$SumPort = 20;
$SumRev = 21;


# list for plotOne option 
%keyList = (
	    "DATE"   => $SumDateStr,
	    "TIME"   => $SumUT,
	    "FLUX"   => $SumFlux,
	    "LEAKAGE" => $SumLeakage,
	   );


%labelList = (
	      "DATE"   => "Date",
	      "TIME"   => "UT Time (hours)",
	      "FLUX"   => "Flux (DN)",
	      "LEAKAGE" => "Leakage",
	     );

# the file is 'required', so return truth
return 1;
