#include <stdio.h>
#include "timeUtil.h"

main (int argc, char **argv)
{
  (void) printf("------------------------------------------------------------------\n");
  printf("Testing the Julian Date calculation\n");
  // Call the routine were having trouble with

  double ut = 0.0;
  int year = 2000;
  int month = 6;
  int day = 28;
  double refjd;
  int status = 0;

  double jd = jdFromUTCal(ut,year,month,day);
  refjd = (double) 51723.0;
  printf("Returned MJD %7.1f at %3.1f hrs UT on %d/%d/%d; correct answer is 51723.0.\n",
	 jd,ut,day,month,year);
  if(refjd != jd)
    status = 1;

  ut = 0.0;
  year = 2000;
  month = 1;
  day = 1;

  jd = jdFromUTCal(ut,year,month,day);
  refjd = (double) 51544.0;
  printf("Returned MJD %7.1f at %3.1f hrs UT on %d/%d/%d; correct answer is 51544.0.\n",
	 jd,ut,day,month,year);
  if(refjd != jd)
    status = 1;

  ut = 2.4;
  year = 2000;
  month = 6;
  day = 29;

  jd = jdFromUTCal(ut,year,month,day);
  refjd = (double) 51724.1;
  printf("Returned MJD %7.1f at %3.1f hrs UT on %d/%d/%d; correct answer is 51724.1.\n",
	 jd,ut,day,month,year);
  if(refjd != jd)
    status = 1;


  ut = 9.6;
  year = 2000;
  month = 12;
  day = 25;

  jd = jdFromUTCal(ut,year,month,day);
  refjd = (double) 51903.4;
  printf("Returned MJD %7.1f at %3.1f hrs UT on %d/%d/%d; correct answer is 51903.4.\n",
	 jd,ut,day,month,year);
  if(refjd != jd)
    status = 1;

  ut = 4.8;
  year = 2001;
  month = 3;
  day = 15;

  jd = jdFromUTCal(ut,year,month,day);
  refjd = (double) 51983.2;
  printf("Returned MJD %7.1f at %3.1f hrs UT on %d/%d/%d; correct answer is 51983.2.\n",
	 jd,ut,day,month,year);
  if(refjd != jd)
    status = 1;

  if(status==0) 
    printf("Test 1 (libtimeUtil) looks okay ...\n");
  else
    printf("Test 1 (libtimeUtile) failed\n");
  return(status);
}
