#define _ANGLES_


#define PI 3.141592654
#define TWO_PI 6.283185307
#define PI_OVER_TWO 1.570796327
#define PI_OVER_FOUR 0.785398163

#define RAD_TO_ASEC 2.062648e5
#define ASEC_TO_RAD 4.848137e-6
#define MAS_TO_RAD  (1.0e-3 * ASEC_TO_RAD)
#define UAS_TO_RAD  (1.0e-6 * ASEC_TO_RAD)
#define RAD_TO_DEG  (180.0 / PI)
#define DEG_TO_RAD  (PI / 180.0)

#define RAD_TO_MAS (1.0 / MAS_TO_RAD)
#define RAD_TO_UAS (1.0 / UAS_TO_RAD)
