package KIangles;

#########################################################################
#     Interferometry Science Center (ISC) -- http://isc.caltech.edu     #
#	Copyright (c) 1997-2001 California Institute of Technology      #
#                     U.S. Government Sponsorship                       #
# Under contract with the National Aeronautics and Space Administration #
#########################################################################

## angles.pm -- angle constants for getCal


$PI = 3.141592654;
$TWO_PI = 6.283185307;
$PI_OVER_TWO = 1.570796327;
$PI_OVER_FOUR = 0.785398163;

$RAD_TO_ASEC = 2.062648e5;
$ASEC_TO_RAD = 4.848137e-6;
$MAS_TO_RAD = (1.0e-3 * $ASEC_TO_RAD);
$UAS_TO_RAD = (1.0e-6 * $ASEC_TO_RAD);
$RAD_TO_DEG = (180.0 / $PI);
$DEG_TO_RAD = ($PI / 180.0);

$RAD_TO_MAS = (1.0 / $MAS_TO_RAD);
$RAD_TO_UAS = (1.0 / $UAS_TO_RAD);



